<< mag2db | FOSSEE_Signal_Processing_Toolbox | medfilt1 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > marcumq

# marcumq

Compute the generalized Marcum Q function.

### Syntax

    q = marcumq(a, b)
    q = marcumq(a, b, m)
    q = marcumq(a, b, m, tol)

### Parameters

a:

  Noncentrality parameter (nonnegative scalar or array).

b:

  Argument of Marcum Q-function (nonnegative scalar or array).

m:

  (optional) Order of the generalized Marcum Q-function (positive integer or array). Default is 1.

tol:

  (optional) Relative tolerance for computation. Default is `eps`.

### Description

The `marcumq` function computes the generalized Marcum Q function of order `m` with noncentrality parameter `a` and argument `b`. If the order `m` is omitted, it defaults to 1. An optional relative tolerance `tol` may be included, and the default value is `eps`.

This function computes Marcum’s Q function using the infinite Bessel series, which is truncated when the relative error is less than the specified tolerance. The accuracy is limited by that of the Bessel functions, so reducing the tolerance is probably not useful.

### Bibliography

- Marcum, "Tables of Q Functions", Rand Corporation.

- R.T. Short, "Computation of Noncentral Chi-squared and Rice Random Variables".

### Examples

    a = [0.5, 1.0, 1.5]
    b = [1.0, 2.0, 3.0]
    q = marcumq(a, b)

### Authors

- Abinash Singh

Report an issue
<< mag2db | FOSSEE_Signal_Processing_Toolbox | medfilt1 >>